Bug 150230 - security/monkeysphere: use USERS and GROUPS instead of pkg-install
Summary: security/monkeysphere: use USERS and GROUPS instead of pkg-install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-02 17:50 UTC by Eitan Adler
Modified: 2010-09-22 06:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eitan Adler freebsd_committer freebsd_triage 2010-09-02 17:50:03 UTC
The security/monkeysphere port uses pkg-install directly to create the required user instead of USERS and GROUPS. This patch changes that.

The following patch is applied to ports/ and security/monkeysphere/pkg-install should be removed
http://isis.poly.edu/~eitan/files/monkeysphere.patch
Comment 1 Edwin Groothuis freebsd_committer 2010-09-02 17:50:15 UTC
Maintainer of security/monkeysphere,

Please note that PR ports/150230 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150230

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-02 17:50:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-09 01:18:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 4 dkg 2010-09-13 20:55:18 UTC
On 09/02/2010 12:50 PM, Edwin Groothuis wrote:
> Maintainer of security/monkeysphere,
> 
> Please note that PR ports/150230 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150230


I haven't been able to test the patch proposed in 150230 yet, but i like
the idea of the patch, especially if it means we get to remove pkg-install.

the one change here is that "monkeysphere-authentication setup" won't be
called during pkg installation, but i don't actually think that's a
problem, since any monkeysphere-authentication subcommand should
internally implicitly call setup if it has yet to be called.

	--dkg
Comment 5 Philip M. Gollucci freebsd_committer 2010-09-16 23:34:47 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 6 dfilter service freebsd_committer 2010-09-22 06:21:32 UTC
pgollucci    2010-09-22 05:21:28 UTC

  FreeBSD ports repository

  Modified files:
    .                    UIDs GIDs 
    security/monkeysphere Makefile pkg-deinstall 
  Removed files:
    security/monkeysphere pkg-install 
  Log:
  - Convert to USERS/GROUPS
  
  PR:             ports/150230
  Submitted by:   Eitan Adler <lists@eitanadler.com>
  Approved by:    dkg@fifthhorseman.net (maintainer)
  
  Revision  Changes    Path
  1.104     +2 -1      ports/GIDs
  1.120     +2 -1      ports/UIDs
  1.2       +3 -0      ports/security/monkeysphere/Makefile
  1.2       +0 -3      ports/security/monkeysphere/pkg-deinstall
  1.2       +0 -64     ports/security/monkeysphere/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philip M. Gollucci freebsd_committer 2010-09-22 06:21:41 UTC
State Changed
From-To: open->closed

Committed, Thanks!